#!/bin/bash 

FUNCTIONS="./functions.sh"
. $FUNCTIONS

apt-get install -y zenity

VERSION=`wget -q -O - http://downloads.fierro.com.ar/linux/fierropanel-version`

mkdir -p ~/fierroinstall/ 
cd ~/fierroinstall/

wget -c http://downloads.fierro.com.ar/linux/fierropanel-$VERSION.run 
dieOnError "Error descargando fierropanel-$VERSION.run"

# Borrar el acceso al panel viejo del menu
rm /usr/share/applications/fierroPanel-fierroutils.desktop 2>/dev/null
rm /usr/share/applications/fierro_panel.desktop 2>/dev/null

chmod +x fierropanel-$VERSION.run
./fierropanel-$VERSION.run
