#!/bin/bash

FUNCTIONS="./functions.sh"
. $FUNCTIONS

echo "Aplicando parches ..."

patchfile /etc/environment patches/environment.patch ||
    lineinfile /etc/environment 'PATH="/usr/local/sbin:/usr/local/bin:/usr/sbin:/usr/bin:/sbin:/bin:/usr/games:/usr/local/games:/opt/bin"'

echo "Se modifico /etc/environment. Para que se apliquen los cambios hay que cerrar sesion y abrir nuevamente"
echo "O ejecutar:"
echo "set -a; . /etc/environment; set +a"

cat <<EOF > /etc/python2.7/sitecustomize.py
# sys.setdefaultencoding() does not exist, here!
import sys
reload(sys)  # Reload does the trick!
sys.setdefaultencoding('iso-8859-1')
EOF

if [ -f /etc/apache2/ports.conf ]; then
    lineinfile /etc/apache2/ports.conf "Listen 8084"
    restart_service apache2
fi
