
import subprocess


class ShellFileException(Exception):
    pass


def get_shell_variable(shellfile, variable_name):
    shell_command = '. "%s"; echo "$%s"' % (shellfile, variable_name)
    shell = subprocess.Popen(["/bin/sh"],
                stdout=subprocess.PIPE,
                stdin=subprocess.PIPE,
                stderr=subprocess.PIPE)
    stdout, stderr = shell.communicate(input=shell_command)
    if stderr:
        raise ShellFileException(stderr)
    return stdout.strip()
