#!/bin/bash

FUNCTIONS="`pwd`/functions.sh"
. $FUNCTIONS

FILE="Disk-Space.tar.gz"

wget "http://downloads.fierro-soft.com.ar/linux/$FILE"
dieOnError "Error bajando $FILE"

OLDPWD=`pwd`

cd ~
tar zxvf $OLDPWD/$FILE

TMPFILE=`tempfile`
crontab -l > $TMPFILE

echo >> $TMPFILE
echo "# Monitoreo de espacio en disco" >> $TMPFILE
echo "*/15  *   *   *   *   $PWD/Disk-Space/disk-space.py" >> $TMPFILE
crontab $TMPFILE

rm $TMPFILE

rm $OLDPWD/$FILE
