#!/bin/bash 

FUNCTIONS="./functions.sh"
. $FUNCTIONS

set -eux

[ -f /opt/bin/upgradeVersion.sh ] || die "Falta upgradeVersion.sh, debe instalar fierroutils antes"

steps/packages-task.sh base
steps/packages-task.sh client

NOASK=1 /opt/bin/upgradeVersion.sh $TK_FIERRO_VERSION client

if [ -n "$TK_CLIENT_SERVER_HOST" ]; then
    cat <<EOF > /etc/opt/fierro/clientserver.conf
# Fierro Soft - Lambda Soluciones Informaticas
# Fierro Client server and webserver variables declaration config file
# created on Jun 17, 2005.
#

export LANG="es_AR.ISO-8859-1"
export LC_ALL="es_AR.ISO-8859-1"

SERVER="PYROLOC://$TK_CLIENT_SERVER_HOST:$TK_CLIENT_SERVER_PORT"
WEBSERVER="$TK_CLIENT_WEB_HOST:$TK_CLIENT_WEB_PORT/$TK_CLIENT_WEB_PATH"
EOF
fi
