#!/bin/bash 

FUNCTIONS="`pwd`/functions.sh"
. $FUNCTIONS

if [ -z "$TK_Q123_HOST" ] || [ -z "$TK_Q123_PASSWORD" ]; then
    echo "q123 no se configuró, no se va a instalar"
    exit 0
fi

wget http://downloads.fierro-soft.com.ar/linux/ubuntu/q1234client-ubuntu.py -O /usr/local/bin/q1234client.py
dieOnError "Error al descargar q1234client-ubuntu.py"
chmod +x /usr/local/bin/q1234client.py

cat > /etc/q1234client.conf << EOF
HOST = "$TK_Q123_HOST"
PASSWORD = "$TK_Q123_PASSWORD"
EOF

echo "*/5  *   *   *   *   /usr/local/bin/q1234client.py /etc/q1234client.conf" > mycrontab 
crontab mycrontab
rm mycrontab
