#!/bin/bash

echo "Creando usuario para carpeta compartida..."
useradd -m -g users -s /bin/false share
chmod g+rwx /home/share

echo "Agregando recurso compartido en Samba..."
cat << EOF >> /etc/samba/smb.conf
# SHARE
[SHARE]
comment = Carpeta compartida para todos
path = /home/share
read only = No
force user = share
force group = users
guest ok = Yes
guest only = Yes
nt acl support = No
create mask = 0777
EOF

echo "Reiniciando el servicio de Samba ..."
service smbd restart